package cn.iocoder.yudao.module.system.dal.mysql.sys;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.sys.vo.DrugDictionaryPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.sys.SysDrugDictionaryDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 药品字典 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface SysDrugDictionaryMapper extends BaseMapperX<SysDrugDictionaryDO> {

    default PageResult<SysDrugDictionaryDO> selectPage(DrugDictionaryPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SysDrugDictionaryDO>()
                .eqIfPresent(SysDrugDictionaryDO::getTenantId,reqVO.getTenantId())
                .eqIfPresent(SysDrugDictionaryDO::getOrgType,reqVO.getOrgType())
                .likeIfPresent(SysDrugDictionaryDO::getDrugName, reqVO.getDrugName())
                .orderByDesc(SysDrugDictionaryDO::getCreatedTime));
    }

}